Skip to main content
GET
GoldRush SDK

Credit Cost

0.05 per item

Processing

Realtime
Estimate your monthly cost for this API using the Pricing Calculator.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.

Path Parameters

chainName
string
required

The chain name eg: eth-mainnet.

walletAddress
string
required

The requested address. Passing in an ENS, RNS, Lens Handle, or an Unstoppable Domain resolves automatically.

Query Parameters

quote-currency
string

The currency to convert. Supports USD, CAD, EUR, SGD, INR, JPY, VND, CNY, KRW, RUB, TRY, NGN, ARS, AUD, CHF, and GBP.

contract-address
string
required

The requested contract address. Passing in an ENS, RNS, Lens Handle, or an Unstoppable Domain resolves automatically.

starting-block
integer

The block height to start from, defaults to 0.

ending-block
integer

The block height to end at, defaults to current block height.

page-size
integer

Number of items per page. Omitting this parameter defaults to 100.

page-number
integer

0-indexed page number to begin pagination.

Response

200 - application/json

Successful response

address
string

The requested address.

updated_at
string<date-time>

The timestamp when the response was generated. Useful to show data staleness to users.

quote_currency
string

The requested quote currency eg: USD.

chain_id
integer

The requested chain ID eg: 1.

chain_name
string

The requested chain name eg: eth-mainnet.

chain_tip_height
integer

The latest block height of the blockchain at the time this response was provided.

chain_tip_signed_at
string<date-time>

The timestamp of the latest signed block at the time this response was provided.

items
object[]

List of response items.

pagination
object

Pagination metadata.